org.eclipse.viatra.query.patternlanguage.emf.jvmmodel

## Class BodyCodeGenerator

- java.lang.Object
- - org.eclipse.xtend2.lib.StringConcatenationClient
  - - org.eclipse.viatra.query.patternlanguage.emf.jvmmodel.BodyCodeGenerator

-     public class BodyCodeGenerator
      extends org.eclipse.xtend2.lib.StringConcatenationClient

  `PatternModelAcceptor` implementation that generates body code for `IQuerySpecification` classes. Implementation note: it extends `StringConcatenationClient` so that it can be used with `ImportingStringConcatenation`.
  Since:
    1.1
  No Reference:

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.xtend2.lib.StringConcatenationClient

      `org.eclipse.xtend2.lib.StringConcatenationClient.TargetStringConcatenation`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BodyCodeGenerator(Pattern pattern, CallableRelation call, EMFPatternLanguageJvmModelInferrerUtil util, IErrorFeedback feedback, org.eclipse.xtext.xbase.jvmmodel.JvmTypeReferenceBuilder typeReferences)`
    `BodyCodeGenerator(Pattern pattern, PatternBody body, EMFPatternLanguageJvmModelInferrerUtil util, IErrorFeedback feedback, org.eclipse.xtext.xbase.jvmmodel.JvmTypeReferenceBuilder typeReferences)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `appendTo(org.eclipse.xtend2.lib.StringConcatenationClient.TargetStringConcatenation target)`

    - ### Methods inherited from class org.eclipse.xtend2.lib.StringConcatenationClient

      `appendTo`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BodyCodeGenerator

          public BodyCodeGenerator(Pattern pattern,
                                   PatternBody body,
                                   EMFPatternLanguageJvmModelInferrerUtil util,
                                   IErrorFeedback feedback,
                                   org.eclipse.xtext.xbase.jvmmodel.JvmTypeReferenceBuilder typeReferences)

    - #### BodyCodeGenerator

          public BodyCodeGenerator(Pattern pattern,
                                   CallableRelation call,
                                   EMFPatternLanguageJvmModelInferrerUtil util,
                                   IErrorFeedback feedback,
                                   org.eclipse.xtext.xbase.jvmmodel.JvmTypeReferenceBuilder typeReferences)

  - ### Method Detail

    - #### appendTo

          protected void appendTo(org.eclipse.xtend2.lib.StringConcatenationClient.TargetStringConcatenation target)

      Overrides:
        `appendTo` in class `org.eclipse.xtend2.lib.StringConcatenationClient`